Subject: CPAN
From: [email-masked] (Jarkko Hietaniemi)
Date: 26 Oct 1995 14:28:58 GMT
Newsgroups: comp.lang.perl.announce,comp.lang.perl.misc

Welcome to the CPAN, the Comprehensive Perl Archive Network.

CPAN is an extensive collection of Perl related material
available by anonymous FTP and thus by the World Wide Web.
See below for URLs.

CPAN has scripts, documentation, modules, extensions, source code,
ports to non-UNIX both in executable and source, and more. As of this
writing CPAN contains about 120 MB of Perl goods.

The master CPAN site is ftp.funet.fi, one of the largest ftp sites
in the world, please read ftp://ftp.funet.fi/README for more general
information. The CPAN master is located at

	ftp://ftp.funet.fi/pub/languages/perl/CPAN/

CPAN is mirrored widely, please select the CPAN site nearest you to
keep the networks happy. At the moment the registered CPAN sites are:

	Africa

	ftp://ftp.is.co.za/programming/perl/CPAN/

	Australasia

	ftp://coombs.anu.edu.au/pub/perl/
	ftp://ftp.mame.mu.oz.au/pub/perl/CPAN/

	Europe

	ftp://ftp.funet.fi/pub/languages/perl/CPAN/
	ftp://ftp.sunet.se/pub/lang/perl/CPAN/
	ftp://ftp.cs.ruu.nl/pub/PERL/CPAN/
	ftp://ftp.demon.co.uk/pub/mirrors/perl/CPAN/
	ftp://ftp.pasteur.fr/pub/computing/unix/perl/CPAN/
	ftp://ftp.rz.ruhr-uni-bochum.de/pub/programming/languages/perl/CPAN/
	ftp://ftp.switch.ch/mirror/CPAN/
	ftp://orpheu.ci.uminho.pt/pub/lang/perl/

	North America

	ftp://ftp.cis.ufl.edu/pub/perl/CPAN/
	ftp://uiarchive.cso.uiuc.edu/pub/lang/perl/CPAN/
	ftp://ftp.delphi.com/pub/mirrors/packages/perl/CPAN/
	ftp://ftp.sedl.org/pub/mirrors/CPAN/
	ftp://ftp.sterling.com/programming/languages/perl/

To start just grab the top level README from any of these.
We apologise for the diversity of the CPAN path names but
having identical and hopefully as short as possible path names
across several separate ftp sites is well nigh impossible.

If you have any questions please do not hesitate to contact
[email-masked] by email.

The CPAN is brought to you by Perl archivists (aka packrats) who have
been accumulating various Perl bits and pieces over the years. Only I
have 'signed' this message but without the work, software, and ideas of..=
.

	Neil Bowers		<[email-masked]>
	Tim Bunce		<[email-masked]>
	Tom Christiansen	<[email-masked]>
	Andreas K=F6nig		<[email-masked]>
	Lee McLoughlin		<[email-masked]>
	Mark Matthewson		<[email-masked]>
	Bill Middleton		<[email-masked]>
	Henk Penning		<[email-masked]>
	Stephen P. Potter	<[email-masked]>
	Jared Rhine		<[email-masked]>
	Randal L. Schwartz	<[email-masked]>
	Johan Vromans		<[email-masked]>,

...I could not have pulled CPAN together. Many people that deserve
mentioning I most likely forgot to mention. The CPAN was slow in
coming (the mailing list about it started almost two years ago) but
I hope it will be worth the wait to have all about Perl in one place.
(and if you know of some Perl material *) that is not yet part of CPAN
 please keep talking...)

Yours Eclectically,
	The Self-Appointed Master Librarian (OOK!) of the CPAN,
	Jarkko Hietaniemi, <[email-masked]>,
	<[email-masked]>

P.S. Before someone notices: there is one Perlish thingie that CPAN does
     not and will not have: the USENET comp.lang.perl{,.misc} newsgroup
     archives (we do stock comp.lang.perl.announce, though). This is
     firstly simply because there are dedicated newsgroups archivers.
     Secondly the sheer volume of those groups makes archiving them painf=
ul.
     Thirdly a raw archive of newsgroup is a waste of time (and space):
     some sort of threading or in general more intelligent database
     would be needed before a newsgroup archival is worth anything,
     the S/N ratio of c.l.p.m is (and c.l.p was) quite low.